> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Model Providers



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/model_providers
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/model_providers:
    get:
      tags:
        - model_providers
      summary: List Model Providers
      operationId: list_model_providers_api_v1_model_providers_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_ModelProvider_'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PaginatedResult_ModelProvider_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ModelProvider'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[ModelProvider]
    ModelProvider:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Human-readable name for the model provider
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the provider
        type:
          $ref: '#/components/schemas/ModelProviderType'
          description: Type of model provider
        base_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Base Url
          description: Base URL for the API (unique)
        created_at:
          type: string
          format: date-time
          title: Created At
        registry:
          anyOf:
            - $ref: '#/components/schemas/FileSystemModelProviderRegistryLocation'
            - type: 'null'
        state:
          $ref: '#/components/schemas/ModelProviderState'
          default: online
        capabilities:
          items:
            $ref: '#/components/schemas/ModelCapability'
          type: array
          uniqueItems: true
          title: Capabilities
          readOnly: true
      type: object
      required:
        - type
        - base_url
        - capabilities
      title: ModelProvider
    ModelProviderType:
      type: string
      enum:
        - anthropic
        - bedrock
        - cerebras
        - chutes
        - cohere
        - deepseek
        - gemini
        - github
        - groq
        - watsonx
        - jan
        - mistral
        - moonshot
        - nvidia
        - ollama
        - openai
        - openrouter
        - perplexity
        - together
        - voyage
        - rits
        - other
      title: ModelProviderType
    FileSystemModelProviderRegistryLocation:
      type: string
      minLength: 1
      format: uri
      title: FileSystemModelProviderRegistryLocation
    ModelProviderState:
      type: string
      enum:
        - online
        - offline
      title: ModelProviderState
    ModelCapability:
      type: string
      enum:
        - llm
        - embedding
      title: ModelCapability
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````